<?xml version="1.0"?>

<!-- This Source Code Form is subject to the terms of the Mozilla Public
   - License, v. 2.0. If a copy of the MPL was not distributed with this
   - file, You can obtain one at http://mozilla.org/MPL/2.0/. -->

<?xml-stylesheet href="chrome://global/skin/global.css" type="text/css"?>
<?xml-stylesheet href="chrome://browser/content/preferences/sitePermissions.css" type="text/css"?>
<?xml-stylesheet href="chrome://browser/skin/preferences/preferences.css" type="text/css"?>

<window id="PermissionsDialog"
        xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul"
        xmlns:html="http://www.w3.org/1999/xhtml"
        data-l10n-id="permissions-window"
        data-l10n-attrs="title, style"
        onload="gPermissionManager.onLoad();"
        onunload="gPermissionManager.uninit();"
        persist="screenX screenY width height"
        onkeypress="gPermissionManager.onWindowKeyPress(event);">

  <linkset>
    <html:link rel="localization" href="browser/preferences/permissions.ftl"/>
  </linkset>

  <script src="chrome://browser/content/preferences/permissions.js"/>

  <keyset>
    <key data-l10n-id="permissions-close-key" modifiers="accel" oncommand="window.close();"/>
  </keyset>

  <vbox class="contentPane">
    <description id="permissionsText" control="url"/>
    <separator class="thin"/>
    <label id="urlLabel" control="url" data-l10n-id="permissions-address"/>
    <hbox align="start">
      <html:input id="url" type="text"
                  style="-moz-box-flex: 1;"
                  oninput="gPermissionManager.onHostInput(event.target);"
                  onkeypress="gPermissionManager.onHostKeyPress(event);"/>
    </hbox>
    <hbox pack="end">
      <button id="btnBlock" disabled="true" data-l10n-id="permissions-block"
              oncommand="gPermissionManager.addPermission(Ci.nsIPermissionManager.DENY_ACTION);"/>
      <button id="btnSession" disabled="true" data-l10n-id="permissions-session"
              oncommand="gPermissionManager.addPermission(Ci.nsICookiePermission.ACCESS_SESSION);"/>
      <button id="btnAllow" disabled="true" data-l10n-id="permissions-allow" default="true"
              oncommand="gPermissionManager.addPermission(Ci.nsIPermissionManager.ALLOW_ACTION);"/>
    </hbox>
    <separator class="thin"/>
    <listheader>
      <treecol id="siteCol" data-l10n-id="permissions-site-name" flex="3" width="0"
               onclick="gPermissionManager.buildPermissionsList(event.target)"/>
      <treecol id="statusCol" data-l10n-id="permissions-status" flex="1" width="0"
               data-isCurrentSortCol="true"
               onclick="gPermissionManager.buildPermissionsList(event.target);"/>
    </listheader>
    <richlistbox id="permissionsBox" flex="1" selected="false"
                 onkeypress="gPermissionManager.onPermissionKeyPress(event);"
                 onselect="gPermissionManager.onPermissionSelect();"/>
  </vbox>

  <hbox class="actionButtons">
    <button id="removePermission" disabled="true"
            data-l10n-id="permissions-remove"
            oncommand="gPermissionManager.onPermissionDelete();"/>
    <button id="removeAllPermissions"
            data-l10n-id="permissions-remove-all"
            oncommand="gPermissionManager.onAllPermissionsDelete();"/>
  </hbox>
  <spacer flex="1"/>
  <hbox class="actionButtons" pack="end">
    <button oncommand="window.close();"
            data-l10n-id="permissions-button-cancel" />
    <button id="btnApplyChanges" oncommand="gPermissionManager.onApplyChanges();"
            data-l10n-id="permissions-button-ok" />
  </hbox>
</window>
